import sys
t = int(sys.stdin.readline())

def solve(n, boys):
    for x in range(0, n-1):
        for y in range(x, n):
            pass

for _ in range(t):
    n = int(sys.stdin.readline())
    boys = list()
    for _ in range(n):
        a,b,c = map(int, sys.stdin.readline().split())
        boys.append([a,b,c])
    
    solve(n, boys)
